#
# spec file for package maven-plugin-build-helper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global srcname build-helper-maven-plugin
Name:           maven-plugin-build-helper
Version:        3.2.0
Release:        2.7
Summary:        Build Helper Maven Plugin
License:        MIT
URL:            https://www.mojohaus.org/build-helper-maven-plugin/
Source0:        https://github.com/mojohaus/%{srcname}/archive/%{srcname}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache-extras.beanshell:bsh)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildArch:      noarch

%description
This plugin contains various small independent goals to assist with
Maven build lifecycle.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.

%prep
%setup -q -n %{srcname}-%{srcname}-%{version}

%build
%{mvn_build} -f -- -Dsource=7

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Sep  8 2020 Fridrich Strba <fstrba@suse.com>
- Upgrade to upstream version 3.2.0
  * Integrated pull requests:
    + Set a property based on the maven.build.timestamp
    + rootlocation does not correctly work
    + Add profile to avoid showing warnings for maven plugin
    plugin goals not supported in m2e
    + Site: Properly showing 'value' tag on regex-properties usage
    page
    + Integration test reserve-ports-with-urls fails on windows
    + IllegalArgumentException when using goal released-version with
    maven 3.6.2
    + NPE in 3.1.0-SNAPSHOT when no qualifier is present
    + parse-version goal fails when build number is greater than
    Integer.MAX_VALUE enhancement
    + Create directory before writing file in reserve-network-port
    bug
    + released-version does not allow access to the build number
    + Qualifier Prefix
* Fri Apr  5 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of maven-plugin-build-helper 1.9.1
